# surfacePlot

#### new surfacePlot(selection)

Constructor

Source:
  - chart/surfacePlot.js, line 79

##### Parameters:

Name | Type | Description
--- | --- | ---
`selection` | `d3.selection` | The chart holder D3 selection.

### Methods

#### (static) colors(_v) → {*}

Colors Getter / Setter

Source:
  - chart/surfacePlot.js, line 202

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Array` | Array of colours used by color scale.

##### Returns:

Type:
  `*`

#### (static) colorScale(_v) → {*}

Color Scale Getter / Setter

Source:
  - chart/surfacePlot.js, line 190

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 color scale.

##### Returns:

Type:
  `*`

#### (static) debug(_v) → {*}

Debug Getter / Setter

Source:
  - chart/surfacePlot.js, line 214

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `boolean` | Show debug log and stats. True/False.

##### Returns:

Type:
  `*`

#### (static) dimensions(_v) → {*}

Dimensions Getter / Setter

Source:
  - chart/surfacePlot.js, line 142

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Object` | 3D object dimensions.

##### Returns:

Type:
  `*`

#### (static) height(_v) → {*}

Height Getter / Setter

Source:
  - chart/surfacePlot.js, line 130

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | X3D canvas height in px.

##### Returns:

Type:
  `*`

#### (static) width(_v) → {*}

Width Getter / Setter

Source:
  - chart/surfacePlot.js, line 118

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | X3D canvas width in px.

##### Returns:

Type:
  `*`

#### (static) xScale(_v) → {*}

X Scale Getter / Setter

Source:
  - chart/surfacePlot.js, line 154

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) yScale(_v) → {*}

Y Scale Getter / Setter

Source:
  - chart/surfacePlot.js, line 166

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) zScale(_v) → {*}

Z Scale Getter / Setter

Source:
  - chart/surfacePlot.js, line 178

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`